Loading...
Searching...
No Matches
pcl::cuda::parallel_random_generator Struct Reference

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h>`

## Public Member Functions

__inline__ __host__ __device__ | parallel_random_generator (unsigned int seed)
__inline__ __host__ __device__ unsigned int | operator() (const unsigned int n) const
__inline__ __host__ __device__ | parallel_random_generator (unsigned int seed)
__inline__ __host__ __device__ unsigned int | operator() (const unsigned int n) const

## Public Attributes

unsigned int | m_seed

## Detailed Description

Definition at line 294 of file sac_model_1point_plane.h.

## Constructor & Destructor Documentation

## parallel_random_generator() [1/2]

__inline__ __host__ __device__ pcl::cuda::parallel_random_generator::parallel_random_generator | ( | unsigned int | seed | ) |

inline

Definition at line 298 of file sac_model_1point_plane.h.

References m_seed.

## parallel_random_generator() [2/2]

__inline__ __host__ __device__ pcl::cuda::parallel_random_generator::parallel_random_generator | ( | unsigned int | seed | ) |

inline

Definition at line 255 of file sac_model_plane.h.

References m_seed.

## Member Function Documentation

## operator()() [1/2]

__inline__ __host__ __device__ unsigned int pcl::cuda::parallel_random_generator::operator() | ( | const unsigned int | n | ) | const

inline

Definition at line 304 of file sac_model_1point_plane.h.

References m_seed.

## operator()() [2/2]

__inline__ __host__ __device__ unsigned int pcl::cuda::parallel_random_generator::operator() | ( | const unsigned int | n | ) | const

inline

Definition at line 261 of file sac_model_plane.h.

References m_seed.

## Member Data Documentation

## m_seed

unsigned int pcl::cuda::parallel_random_generator::m_seed

Definition at line 312 of file sac_model_1point_plane.h.

Referenced by operator()(), and parallel_random_generator().

The documentation for this struct was generated from the following files:

- /build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h
- /build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_plane.h